// Extend the production readout's end command.

#ifndef __MYEND_H
#define __MYEND_H
#include  <CEndCommand.h>

class CTCLInterpreter;

class MyEnd : public CEndCommand
{
public:
  MyEnd(CTCLInterpreter& interp);
  virtual ~MyEnd();
  
private:
  MyEnd(const MyEnd& rhs);
  MyEnd& operator=(const MyEnd& rhs);
  int operator==(const MyEnd& rhs) const;
  int operator!=(const MyEnd& rhs) const;


public:
  virtual int ExecutePreFunction();
  virtual int ExecutePostFunction();
	
};



#endif
